export interface IConverter {
    key: string;
    detect: (value: any) => boolean;
    toNumber: (value: any) => {
        v: number;
        meta?: any;
    };
    fromNumber: (num: number, meta?: any) => any;
}
export declare class DateConverter implements IConverter {
    key: string;
    private baseDate;
    private dateFormats;
    detect(value: any): boolean;
    toNumber(value: Date | string): {
        v: number;
        meta?: string;
    };
    fromNumber(daysOffset: number, meta?: string): string;
}
export declare class ConverterManager {
    private converters;
    register(converter: IConverter): void;
    getConverter(value: any): IConverter | null;
    getConverterByKey(key: string): IConverter | null;
}
export declare const converterManager: ConverterManager;
